Name:           wayland-protocols
Version:        1.44
Release:        %mkrel 1
Summary:        Wayland protocols that adds functionality not available in the core protocol
Group:          Development/C

License:        MIT
URL:            https://wayland.freedesktop.org/
Source0:        https://gitlab.freedesktop.org/wayland/%{name}/-/releases/%{version}/downloads/%{name}-%{version}.tar.xz
# Header only pkg
BuildArch:      noarch

BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  pkgconfig(wayland-scanner) >= 1.23.0

%description
wayland-protocols contains Wayland protocols that adds functionality not
available in the Wayland core protocol. Such protocols either adds
completely new functionality, or extends the functionality of some other
protocol either in Wayland core, or some other protocol in
wayland-protocols.

%package devel
Group:          Development/C
Summary:        Wayland protocols that adds functionality not available in the core protocol

%description devel
wayland-protocols contains Wayland protocols that adds functionality not
available in the Wayland core protocol. Such protocols either adds
completely new functionality, or extends the functionality of some other
protocol either in Wayland core, or some other protocol in
wayland-protocols.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%files devel
%license COPYING
%doc README.md
%{_includedir}/%{name}/
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}/



%changelog
* Mon Apr 28 2025 daviddavid <daviddavid> 1.44-1.mga10
+ Revision: 2179519
- new version: 1.44

* Fri Apr 11 2025 daviddavid <daviddavid> 1.43-1.mga10
+ Revision: 2174716
- new version: 1.43

* Sat Apr 05 2025 daviddavid <daviddavid> 1.42-1.mga10
+ Revision: 2173545
- new version: 1.42

* Mon Feb 24 2025 daviddavid <daviddavid> 1.41-1.mga10
+ Revision: 2151818
- new version: 1.41

* Fri Jan 31 2025 daviddavid <daviddavid> 1.40-1.mga10
+ Revision: 2143741
- new version: 1.40

* Sun Dec 22 2024 ghibo <ghibo> 1.39-3.mga10
+ Revision: 2128747
- Rebuild against wayland-1.23.1

* Sun Dec 22 2024 ghibo <ghibo> 1.39-2.mga10
+ Revision: 2128742
- Drop gcc from BRs
- Update to version 1.39

* Fri Nov 22 2024 ghibo <ghibo> 1.38-2.mga10
+ Revision: 2118551
- Add minimal versioning for wayland-scanner BRs (required for mesa-24.3.x backport)

* Sat Oct 12 2024 daviddavid <daviddavid> 1.38-1.mga10
+ Revision: 2105211
- new version: 1.38

* Sat Aug 31 2024 daviddavid <daviddavid> 1.37-1.mga10
+ Revision: 2092377
- new version: 1.37

* Thu Jun 20 2024 daviddavid <daviddavid> 1.36-1.mga10
+ Revision: 2075614
- new version: 1.36

* Wed Apr 24 2024 daviddavid <daviddavid> 1.35-1.mga10
+ Revision: 2060832
- new version: 1.35

* Tue Mar 05 2024 daviddavid <daviddavid> 1.33-1.mga10
+ Revision: 2047594
- new version: 1.33

* Thu Sep 21 2023 tv <tv> 1.32-1.mga10
+ Revision: 1989083
- Update to 1.32

* Tue Nov 29 2022 tmb <tmb> 1.31-1.mga9
+ Revision: 1912624
- update to 1.31

* Tue Nov 22 2022 tv <tv> 1.30-1.mga9
+ Revision: 1910176
- Update to 1.30

* Wed Nov 16 2022 tv <tv> 1.29-1.mga9
+ Revision: 1907935
- Update to 1.29

* Sat Nov 05 2022 tv <tv> 1.27-1.mga9
+ Revision: 1903800
- Update to 1.27

* Thu Aug 11 2022 tmb <tmb> 1.26-1.mga9
+ Revision: 1877075
- update to 1.26

* Wed Mar 30 2022 umeabot <umeabot> 1.25-2.mga9
+ Revision: 1834370
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 tv <tv> 1.25-1.mga9
+ Revision: 1787058
- 1.25

* Wed Nov 24 2021 tv <tv> 1.24-1.mga9
+ Revision: 1759083
- 1.24

* Thu Sep 30 2021 tv <tv> 1.23-1.mga9
+ Revision: 1746905
- Update to 1.23

* Thu May 13 2021 tv <tv> 1.21-1.mga9
+ Revision: 1722679
- Update to 1.21
- Switch to meson build system

* Sun Mar 01 2020 tv <tv> 1.20-1.mga8
+ Revision: 1552602
- 1.20

* Sun Mar 01 2020 tv <tv> 1.19-1.mga8
+ Revision: 1552526
- 1.19

* Sun Feb 16 2020 umeabot <umeabot> 1.18-2.mga8
+ Revision: 1530200
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Aug 27 2019 tv <tv> 1.18-1.mga8
+ Revision: 1434474
- new release

* Sun Mar 17 2019 tv <tv> 1.17-1.mga7
+ Revision: 1378389
- new release

* Fri Sep 21 2018 umeabot <umeabot> 1.16-2.mga7
+ Revision: 1292002
- Mageia 7 Mass Rebuild

* Thu Aug 02 2018 tv <tv> 1.16-1.mga7
+ Revision: 1246867
- new release

* Thu Jul 05 2018 tv <tv> 1.15-1.mga7
+ Revision: 1241951
- new release

* Tue May 08 2018 tv <tv> 1.14-1.mga7
+ Revision: 1227728
- new release

* Tue Mar 20 2018 tv <tv> 1.13-1.mga7
+ Revision: 1210755
- new release

* Mon Feb 12 2018 tv <tv> 1.12-1.mga7
+ Revision: 1200672
- new release

* Mon Jul 31 2017 tv <tv> 1.10-1.mga7
+ Revision: 1133220
- new release

* Mon Jul 17 2017 tv <tv> 1.8-1.mga7
+ Revision: 1124346
- new release

* Sat Oct 15 2016 tv <tv> 1.7-2.mga6
+ Revision: 1060898
- use %%configure2_5x instead of %%old_configure

* Sun Sep 18 2016 ovitters <ovitters> 1.7-1.mga6
+ Revision: 1053804
- new version 1.7

* Mon May 23 2016 tv <tv> 1.4-1.mga6
+ Revision: 1018095
- new release

* Sat Mar 12 2016 tv <tv> 1.3-1.mga6
+ Revision: 989366
- new release

* Mon Mar 07 2016 tv <tv> 1.2-1.mga6
+ Revision: 987193
- new release

* Wed Feb 17 2016 tv <tv> 1.1-1.mga6
+ Revision: 963766
- BR pkgconfig(wayland-scanner)
- fix build: use %%old_configure
- 1.1

* Sat Dec 05 2015 tv <tv> 1.0-1.mga6
+ Revision: 908469
- fix group
- imported package wayland-protocols


* Sat Dec 05 2015 Thierry Vignaud <tv@mageia.org> 1.0-1.mga6
- import from FC
